Subject: Re: Confirmation of Received Packets

From: John Goerzen <[email-masked]>
Date: Thu, 24 Feb 2022 16:00:15 -0600

On Thu, Feb 24 2022, Sergey Matveev wrote:

> Greetings!
>
> Yesterday I started to implement sending of new type of ACK-packets.
> They just contain packet's hash, confirming the receipt. I assume that
> you would optionally turn their sending on. When tossed, receiver will
> just delete probably existing outbound packets mentioned in those ACKs.
> I hope that will finish that on holidays. Really would be useful, seems
> very easy to implement and currently I do not see drawbacks or complications.

Fantastic!  That sounds perfect, and I was hoping it would be easy like
that indeed.  I suspect it wouldn't require any breaking changes (would
be compatible with older versions unless the new ACK options are turned
on)?

Thanks,

John